Looking for dsl package of latest xscreensaver

Forum: X and Fluxbox
Topic: Looking for dsl package of latest xscreensaver
started by: ericl

Posted by ericl on Dec. 14 2007,15:28
It appears that the current xscreensaverGTK.dsl in the download section is version 3.34 . It looks like xscreensaver is up to version 5.04 . Does anyone know if a dsl exists with a more recent version of xscreensaver? I'm looking for at least version 4.

I know I can enable apt and install it that way but I'd rather have a dsl package.

Posted by lucky13 on Dec. 14 2007,17:11
What you see is what you get, unless you make a new extension. What's wrong with that version?
Posted by ericl on Dec. 14 2007,18:00
What I'm trying to do is to get xscreensaver to display a swf. I started with < http://www.jwz.org/xscreensaver/faq.html#mpeg > . I installed xscreensaverGTK.dsl, downloaded flash player 6 from the macromedia site, set up .xscreensaver as listed and tried it. The screen goes white, briefly displays an error message then exits.

After searching online for more info, I found < http://primates.ximian.com/~flucifredi/nvalues/ > which describes a wrapper script to flash player 6 to handle a bug. However, I see in the install script something about how xscreensaver 4 is required. I don't know if this will fix my problem but figured it was worth a shot.

Posted by ericl on Dec. 15 2007,04:42
I was able to do this again and write down the error:

Gdk-CRITICAL **: file gdkwindow.c: line 1717 (gdk_window_get_toplevel): assertion `window != NULL' failed. xscreensaver: child pid 716 (/home/dsl/.screensaver/nwrapper) terminated with SIGSEGV

Powered by Ikonboard 3.1.2a
Ikonboard © 2001 Jarvis Entertainment Group, Inc.